/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { CallHistoriesModel } from '../models';
import { CallHistoryModel } from '../models';
import { SortingOrder } from '../models';
/**
 * CallHistoriesApi - axios parameter creator
 * @export
 */
export declare const CallHistoriesApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary (Auth policies: RequireDoctorRole)
     * @param {string} callId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CallhistoriesCallIdGet: (callId: string, languageCode?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary (Auth policies: RequireDoctorRole)
     * @param {string} [id]
     * @param {string} [userId]
     * @param {string} [userName]
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {string} [virtualNumber]
     * @param {string} [targetNumber]
     * @param {Date} [startTime]
     * @param {Date} [endTime]
     * @param {SortingOrder} [sortRequestDate]
     * @param {string} [languageCode]
     * @param {boolean} [isExternal]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CallhistoriesGet: (id?: string, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, virtualNumber?: string, targetNumber?: string, startTime?: Date, endTime?: Date, sortRequestDate?: SortingOrder, languageCode?: string, isExternal?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * CallHistoriesApi - functional programming interface
 * @export
 */
export declare const CallHistoriesApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary (Auth policies: RequireDoctorRole)
     * @param {string} callId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CallhistoriesCallIdGet(callId: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CallHistoryModel>>;
    /**
     *
     * @summary (Auth policies: RequireDoctorRole)
     * @param {string} [id]
     * @param {string} [userId]
     * @param {string} [userName]
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {string} [virtualNumber]
     * @param {string} [targetNumber]
     * @param {Date} [startTime]
     * @param {Date} [endTime]
     * @param {SortingOrder} [sortRequestDate]
     * @param {string} [languageCode]
     * @param {boolean} [isExternal]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CallhistoriesGet(id?: string, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, virtualNumber?: string, targetNumber?: string, startTime?: Date, endTime?: Date, sortRequestDate?: SortingOrder, languageCode?: string, isExternal?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CallHistoriesModel>>;
};
/**
 * CallHistoriesApi - factory interface
 * @export
 */
export declare const CallHistoriesApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary (Auth policies: RequireDoctorRole)
     * @param {string} callId
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CallhistoriesCallIdGet(callId: string, languageCode?: string, options?: any): AxiosPromise<CallHistoryModel>;
    /**
     *
     * @summary (Auth policies: RequireDoctorRole)
     * @param {string} [id]
     * @param {string} [userId]
     * @param {string} [userName]
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {string} [virtualNumber]
     * @param {string} [targetNumber]
     * @param {Date} [startTime]
     * @param {Date} [endTime]
     * @param {SortingOrder} [sortRequestDate]
     * @param {string} [languageCode]
     * @param {boolean} [isExternal]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CallhistoriesGet(id?: string, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, virtualNumber?: string, targetNumber?: string, startTime?: Date, endTime?: Date, sortRequestDate?: SortingOrder, languageCode?: string, isExternal?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<CallHistoriesModel>;
};
/**
 * Request parameters for apiV1CallhistoriesCallIdGet operation in CallHistoriesApi.
 * @export
 * @interface CallHistoriesApiApiV1CallhistoriesCallIdGetRequest
 */
export interface CallHistoriesApiApiV1CallhistoriesCallIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof CallHistoriesApiApiV1CallhistoriesCallIdGet
     */
    readonly callId: string;
    /**
     *
     * @type {string}
     * @memberof CallHistoriesApiApiV1CallhistoriesCallIdGet
     */
    readonly languageCode?: string;
}
/**
 * Request parameters for apiV1CallhistoriesGet operation in CallHistoriesApi.
 * @export
 * @interface CallHistoriesApiApiV1CallhistoriesGetRequest
 */
export interface CallHistoriesApiApiV1CallhistoriesGetRequest {
    /**
     *
     * @type {string}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly id?: string;
    /**
     *
     * @type {string}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly userId?: string;
    /**
     *
     * @type {string}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly userName?: string;
    /**
     *
     * @type {string}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly hospitalId?: string;
    /**
     *
     * @type {string}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly hospitalName?: string;
    /**
     *
     * @type {string}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly virtualNumber?: string;
    /**
     *
     * @type {string}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly targetNumber?: string;
    /**
     *
     * @type {Date}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly startTime?: Date;
    /**
     *
     * @type {Date}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly endTime?: Date;
    /**
     *
     * @type {SortingOrder}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly sortRequestDate?: SortingOrder;
    /**
     *
     * @type {string}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly isExternal?: boolean;
    /**
     *
     * @type {number}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof CallHistoriesApiApiV1CallhistoriesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * CallHistoriesApi - object-oriented interface
 * @export
 * @class CallHistoriesApi
 * @extends {BaseAPI}
 */
export declare class CallHistoriesApi extends BaseAPI {
    /**
     *
     * @summary (Auth policies: RequireDoctorRole)
     * @param {CallHistoriesApiApiV1CallhistoriesCallIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallHistoriesApi
     */
    apiV1CallhistoriesCallIdGet(requestParameters: CallHistoriesApiApiV1CallhistoriesCallIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CallHistoryModel, any>>;
    /**
     *
     * @summary (Auth policies: RequireDoctorRole)
     * @param {CallHistoriesApiApiV1CallhistoriesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallHistoriesApi
     */
    apiV1CallhistoriesGet(requestParameters?: CallHistoriesApiApiV1CallhistoriesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CallHistoriesModel, any>>;
}
//# sourceMappingURL=call-histories-api.d.ts.map