/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { CountriesModel } from '../models';
import { CountryCurrenciesModel } from '../models';
import { CountryCurrencyModel } from '../models';
import { CountryLanguageModel } from '../models';
import { CountryLanguagesModel } from '../models';
import { CountryModel } from '../models';
import { CountrySortingCommand } from '../models';
import { CreateCountryCommand } from '../models';
import { CreateMediaCommand } from '../models';
import { MediaModel } from '../models';
import { MediaType } from '../models';
import { MediasModel } from '../models';
import { SaveCountryCurrencyCommand } from '../models';
import { SaveCountryLanguageCommand } from '../models';
import { SortCountryCurrenciesCommand } from '../models';
import { SortCountryLanguagesCommand } from '../models';
import { SortingResultModel } from '../models';
import { TranslateCountryCommand } from '../models';
import { UpdateCountryCommand } from '../models';
import { UpdateMediaCommand } from '../models';
/**
 * CountriesApi - axios parameter creator
 * @export
 */
export declare const CountriesApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Remove currency from country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} currencyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdDelete: (countryId: string, currencyId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get currncy of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} currencyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdGet: (countryId: string, currencyId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Add currency into country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} currencyId
     * @param {SaveCountryCurrencyCommand} [saveCountryCurrencyCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdPost: (countryId: string, currencyId: string, saveCountryCurrencyCommand?: SaveCountryCurrencyCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get currencies list of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} [currencyId]
     * @param {string} [currencyCode]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesGet: (countryId: string, currencyId?: string, currencyCode?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Batch for country\'s currencies sorting (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {SortCountryCurrenciesCommand} [sortCountryCurrenciesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesSortPut: (countryId: string, sortCountryCurrenciesCommand?: SortCountryCurrenciesCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete country. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {boolean} [isPermanent] Admin only
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdDelete: (countryId: string, isPermanent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get country. (Auth policies: RequireDoctorRole)
     * @param {string} countryId
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdGet: (countryId: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get languages list of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesGet: (countryId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove language from country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesLanguageCodeDelete: (countryId: string, languageCode: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get language of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesLanguageCodeGet: (countryId: string, languageCode: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Add language into country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} languageCode
     * @param {SaveCountryLanguageCommand} [saveCountryLanguageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesLanguageCodePost: (countryId: string, languageCode: string, saveCountryLanguageCommand?: SaveCountryLanguageCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Batch for country\'s languages sorting (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {SortCountryLanguagesCommand} [sortCountryLanguagesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesSortPut: (countryId: string, sortCountryLanguagesCommand?: SortCountryLanguagesCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all CountryMedias. (Auth policies: RequireDoctorRole)
     * @param {string} countryId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasGet: (countryId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete CountryMedia (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasMediaIdDelete: (countryId: string, mediaId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get CountryMedia. (Auth policies: RequireDoctorRole)
     * @param {string} countryId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasMediaIdGet: (countryId: string, mediaId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update CountryMedia. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasMediaIdPut: (countryId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create CountryMedia. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasPost: (countryId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update country. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {UpdateCountryCommand} [updateCountryCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdPut: (countryId: string, updateCountryCommand?: UpdateCountryCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Reactivate country. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdReactivatePut: (countryId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Revalidate country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdRevalidatePost: (countryId: string, includeCurrent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Translate country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {TranslateCountryCommand} [translateCountryCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdTranslatePost: (countryId: string, translateCountryCommand?: TranslateCountryCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all countries. (Auth policies: RequireDoctorRole)
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {Date} [createdDate]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesGet: (id?: string, name?: string, description?: string, createdDate?: Date, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a country. (Auth policies: RequireManagerRole)
     * @param {CreateCountryCommand} [createCountryCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesPost: (createCountryCommand?: CreateCountryCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get country by slug (Auth policies: RequireDoctorRole)
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesSlugGet: (slug: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Batch for countries sorting (Auth policies: RequireManagerRole)
     * @param {CountrySortingCommand} [countrySortingCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesSortPut: (countrySortingCommand?: CountrySortingCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * CountriesApi - functional programming interface
 * @export
 */
export declare const CountriesApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Remove currency from country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} currencyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdDelete(countryId: string, currencyId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get currncy of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} currencyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdGet(countryId: string, currencyId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CountryCurrencyModel>>;
    /**
     *
     * @summary Add currency into country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} currencyId
     * @param {SaveCountryCurrencyCommand} [saveCountryCurrencyCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdPost(countryId: string, currencyId: string, saveCountryCurrencyCommand?: SaveCountryCurrencyCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CountryCurrencyModel>>;
    /**
     *
     * @summary Get currencies list of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} [currencyId]
     * @param {string} [currencyCode]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesGet(countryId: string, currencyId?: string, currencyCode?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CountryCurrenciesModel>>;
    /**
     *
     * @summary Batch for country\'s currencies sorting (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {SortCountryCurrenciesCommand} [sortCountryCurrenciesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesSortPut(countryId: string, sortCountryCurrenciesCommand?: SortCountryCurrenciesCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SortingResultModel>>;
    /**
     *
     * @summary Delete country. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {boolean} [isPermanent] Admin only
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdDelete(countryId: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get country. (Auth policies: RequireDoctorRole)
     * @param {string} countryId
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdGet(countryId: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CountryModel>>;
    /**
     *
     * @summary Get languages list of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesGet(countryId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CountryLanguagesModel>>;
    /**
     *
     * @summary Remove language from country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesLanguageCodeDelete(countryId: string, languageCode: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get language of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesLanguageCodeGet(countryId: string, languageCode: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CountryLanguageModel>>;
    /**
     *
     * @summary Add language into country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} languageCode
     * @param {SaveCountryLanguageCommand} [saveCountryLanguageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesLanguageCodePost(countryId: string, languageCode: string, saveCountryLanguageCommand?: SaveCountryLanguageCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CountryLanguageModel>>;
    /**
     *
     * @summary Batch for country\'s languages sorting (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {SortCountryLanguagesCommand} [sortCountryLanguagesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesSortPut(countryId: string, sortCountryLanguagesCommand?: SortCountryLanguagesCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SortingResultModel>>;
    /**
     *
     * @summary Get all CountryMedias. (Auth policies: RequireDoctorRole)
     * @param {string} countryId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasGet(countryId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediasModel>>;
    /**
     *
     * @summary Delete CountryMedia (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasMediaIdDelete(countryId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get CountryMedia. (Auth policies: RequireDoctorRole)
     * @param {string} countryId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasMediaIdGet(countryId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Update CountryMedia. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasMediaIdPut(countryId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Create CountryMedia. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasPost(countryId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Update country. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {UpdateCountryCommand} [updateCountryCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdPut(countryId: string, updateCountryCommand?: UpdateCountryCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CountryModel>>;
    /**
     *
     * @summary Reactivate country. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdReactivatePut(countryId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Revalidate country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdRevalidatePost(countryId: string, includeCurrent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Translate country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {TranslateCountryCommand} [translateCountryCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdTranslatePost(countryId: string, translateCountryCommand?: TranslateCountryCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get all countries. (Auth policies: RequireDoctorRole)
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {Date} [createdDate]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesGet(id?: string, name?: string, description?: string, createdDate?: Date, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CountriesModel>>;
    /**
     *
     * @summary Create a country. (Auth policies: RequireManagerRole)
     * @param {CreateCountryCommand} [createCountryCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesPost(createCountryCommand?: CreateCountryCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CountryModel>>;
    /**
     *
     * @summary Get country by slug (Auth policies: RequireDoctorRole)
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesSlugGet(slug: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CountryModel>>;
    /**
     *
     * @summary Batch for countries sorting (Auth policies: RequireManagerRole)
     * @param {CountrySortingCommand} [countrySortingCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesSortPut(countrySortingCommand?: CountrySortingCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SortingResultModel>>;
};
/**
 * CountriesApi - factory interface
 * @export
 */
export declare const CountriesApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Remove currency from country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} currencyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdDelete(countryId: string, currencyId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get currncy of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} currencyId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdGet(countryId: string, currencyId: string, options?: any): AxiosPromise<CountryCurrencyModel>;
    /**
     *
     * @summary Add currency into country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} currencyId
     * @param {SaveCountryCurrencyCommand} [saveCountryCurrencyCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdPost(countryId: string, currencyId: string, saveCountryCurrencyCommand?: SaveCountryCurrencyCommand, options?: any): AxiosPromise<CountryCurrencyModel>;
    /**
     *
     * @summary Get currencies list of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} [currencyId]
     * @param {string} [currencyCode]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesGet(countryId: string, currencyId?: string, currencyCode?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<CountryCurrenciesModel>;
    /**
     *
     * @summary Batch for country\'s currencies sorting (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {SortCountryCurrenciesCommand} [sortCountryCurrenciesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdCurrenciesSortPut(countryId: string, sortCountryCurrenciesCommand?: SortCountryCurrenciesCommand, options?: any): AxiosPromise<SortingResultModel>;
    /**
     *
     * @summary Delete country. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {boolean} [isPermanent] Admin only
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdDelete(countryId: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get country. (Auth policies: RequireDoctorRole)
     * @param {string} countryId
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdGet(countryId: string, languageCode?: string, returnDefaultValue?: boolean, options?: any): AxiosPromise<CountryModel>;
    /**
     *
     * @summary Get languages list of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesGet(countryId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<CountryLanguagesModel>;
    /**
     *
     * @summary Remove language from country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesLanguageCodeDelete(countryId: string, languageCode: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get language of country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesLanguageCodeGet(countryId: string, languageCode: string, options?: any): AxiosPromise<CountryLanguageModel>;
    /**
     *
     * @summary Add language into country language list (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} languageCode
     * @param {SaveCountryLanguageCommand} [saveCountryLanguageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesLanguageCodePost(countryId: string, languageCode: string, saveCountryLanguageCommand?: SaveCountryLanguageCommand, options?: any): AxiosPromise<CountryLanguageModel>;
    /**
     *
     * @summary Batch for country\'s languages sorting (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {SortCountryLanguagesCommand} [sortCountryLanguagesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdLanguagesSortPut(countryId: string, sortCountryLanguagesCommand?: SortCountryLanguagesCommand, options?: any): AxiosPromise<SortingResultModel>;
    /**
     *
     * @summary Get all CountryMedias. (Auth policies: RequireDoctorRole)
     * @param {string} countryId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasGet(countryId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<MediasModel>;
    /**
     *
     * @summary Delete CountryMedia (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasMediaIdDelete(countryId: string, mediaId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get CountryMedia. (Auth policies: RequireDoctorRole)
     * @param {string} countryId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasMediaIdGet(countryId: string, mediaId: string, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Update CountryMedia. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasMediaIdPut(countryId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Create CountryMedia. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdMediasPost(countryId: string, createMediaCommand?: CreateMediaCommand, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Update country. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {UpdateCountryCommand} [updateCountryCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdPut(countryId: string, updateCountryCommand?: UpdateCountryCommand, options?: any): AxiosPromise<CountryModel>;
    /**
     *
     * @summary Reactivate country. (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdReactivatePut(countryId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Revalidate country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdRevalidatePost(countryId: string, includeCurrent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Translate country (Auth policies: RequireManagerRole)
     * @param {string} countryId
     * @param {TranslateCountryCommand} [translateCountryCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesCountryIdTranslatePost(countryId: string, translateCountryCommand?: TranslateCountryCommand, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get all countries. (Auth policies: RequireDoctorRole)
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {Date} [createdDate]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesGet(id?: string, name?: string, description?: string, createdDate?: Date, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<CountriesModel>;
    /**
     *
     * @summary Create a country. (Auth policies: RequireManagerRole)
     * @param {CreateCountryCommand} [createCountryCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesPost(createCountryCommand?: CreateCountryCommand, options?: any): AxiosPromise<CountryModel>;
    /**
     *
     * @summary Get country by slug (Auth policies: RequireDoctorRole)
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesSlugGet(slug: string, languageCode?: string, returnDefaultValue?: boolean, options?: any): AxiosPromise<CountryModel>;
    /**
     *
     * @summary Batch for countries sorting (Auth policies: RequireManagerRole)
     * @param {CountrySortingCommand} [countrySortingCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1CountriesSortPut(countrySortingCommand?: CountrySortingCommand, options?: any): AxiosPromise<SortingResultModel>;
};
/**
 * Request parameters for apiV1CountriesCountryIdCurrenciesCurrencyIdDelete operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdDeleteRequest
 */
export interface CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdDelete
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdDelete
     */
    readonly currencyId: string;
}
/**
 * Request parameters for apiV1CountriesCountryIdCurrenciesCurrencyIdGet operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdGetRequest
 */
export interface CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdGet
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdGet
     */
    readonly currencyId: string;
}
/**
 * Request parameters for apiV1CountriesCountryIdCurrenciesCurrencyIdPost operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdPostRequest
 */
export interface CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdPostRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdPost
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdPost
     */
    readonly currencyId: string;
    /**
     *
     * @type {SaveCountryCurrencyCommand}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdPost
     */
    readonly saveCountryCurrencyCommand?: SaveCountryCurrencyCommand;
}
/**
 * Request parameters for apiV1CountriesCountryIdCurrenciesGet operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdCurrenciesGetRequest
 */
export interface CountriesApiApiV1CountriesCountryIdCurrenciesGetRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesGet
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesGet
     */
    readonly currencyId?: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesGet
     */
    readonly currencyCode?: string;
    /**
     *
     * @type {number}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1CountriesCountryIdCurrenciesSortPut operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdCurrenciesSortPutRequest
 */
export interface CountriesApiApiV1CountriesCountryIdCurrenciesSortPutRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesSortPut
     */
    readonly countryId: string;
    /**
     *
     * @type {SortCountryCurrenciesCommand}
     * @memberof CountriesApiApiV1CountriesCountryIdCurrenciesSortPut
     */
    readonly sortCountryCurrenciesCommand?: SortCountryCurrenciesCommand;
}
/**
 * Request parameters for apiV1CountriesCountryIdDelete operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdDeleteRequest
 */
export interface CountriesApiApiV1CountriesCountryIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdDelete
     */
    readonly countryId: string;
    /**
     * Admin only
     * @type {boolean}
     * @memberof CountriesApiApiV1CountriesCountryIdDelete
     */
    readonly isPermanent?: boolean;
}
/**
 * Request parameters for apiV1CountriesCountryIdGet operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdGetRequest
 */
export interface CountriesApiApiV1CountriesCountryIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdGet
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof CountriesApiApiV1CountriesCountryIdGet
     */
    readonly returnDefaultValue?: boolean;
}
/**
 * Request parameters for apiV1CountriesCountryIdLanguagesGet operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdLanguagesGetRequest
 */
export interface CountriesApiApiV1CountriesCountryIdLanguagesGetRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesGet
     */
    readonly countryId: string;
    /**
     *
     * @type {number}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1CountriesCountryIdLanguagesLanguageCodeDelete operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeDeleteRequest
 */
export interface CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeDelete
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeDelete
     */
    readonly languageCode: string;
}
/**
 * Request parameters for apiV1CountriesCountryIdLanguagesLanguageCodeGet operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeGetRequest
 */
export interface CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeGetRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeGet
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeGet
     */
    readonly languageCode: string;
}
/**
 * Request parameters for apiV1CountriesCountryIdLanguagesLanguageCodePost operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodePostRequest
 */
export interface CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodePostRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodePost
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodePost
     */
    readonly languageCode: string;
    /**
     *
     * @type {SaveCountryLanguageCommand}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodePost
     */
    readonly saveCountryLanguageCommand?: SaveCountryLanguageCommand;
}
/**
 * Request parameters for apiV1CountriesCountryIdLanguagesSortPut operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdLanguagesSortPutRequest
 */
export interface CountriesApiApiV1CountriesCountryIdLanguagesSortPutRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesSortPut
     */
    readonly countryId: string;
    /**
     *
     * @type {SortCountryLanguagesCommand}
     * @memberof CountriesApiApiV1CountriesCountryIdLanguagesSortPut
     */
    readonly sortCountryLanguagesCommand?: SortCountryLanguagesCommand;
}
/**
 * Request parameters for apiV1CountriesCountryIdMediasGet operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdMediasGetRequest
 */
export interface CountriesApiApiV1CountriesCountryIdMediasGetRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasGet
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasGet
     */
    readonly id?: string;
    /**
     *
     * @type {MediaType}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasGet
     */
    readonly mediaType?: MediaType;
    /**
     *
     * @type {number}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1CountriesCountryIdMediasMediaIdDelete operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdMediasMediaIdDeleteRequest
 */
export interface CountriesApiApiV1CountriesCountryIdMediasMediaIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasMediaIdDelete
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasMediaIdDelete
     */
    readonly mediaId: string;
}
/**
 * Request parameters for apiV1CountriesCountryIdMediasMediaIdGet operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdMediasMediaIdGetRequest
 */
export interface CountriesApiApiV1CountriesCountryIdMediasMediaIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasMediaIdGet
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasMediaIdGet
     */
    readonly mediaId: string;
}
/**
 * Request parameters for apiV1CountriesCountryIdMediasMediaIdPut operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdMediasMediaIdPutRequest
 */
export interface CountriesApiApiV1CountriesCountryIdMediasMediaIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasMediaIdPut
     */
    readonly countryId: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasMediaIdPut
     */
    readonly mediaId: string;
    /**
     *
     * @type {UpdateMediaCommand}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasMediaIdPut
     */
    readonly updateMediaCommand?: UpdateMediaCommand;
}
/**
 * Request parameters for apiV1CountriesCountryIdMediasPost operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdMediasPostRequest
 */
export interface CountriesApiApiV1CountriesCountryIdMediasPostRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasPost
     */
    readonly countryId: string;
    /**
     *
     * @type {CreateMediaCommand}
     * @memberof CountriesApiApiV1CountriesCountryIdMediasPost
     */
    readonly createMediaCommand?: CreateMediaCommand;
}
/**
 * Request parameters for apiV1CountriesCountryIdPut operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdPutRequest
 */
export interface CountriesApiApiV1CountriesCountryIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdPut
     */
    readonly countryId: string;
    /**
     *
     * @type {UpdateCountryCommand}
     * @memberof CountriesApiApiV1CountriesCountryIdPut
     */
    readonly updateCountryCommand?: UpdateCountryCommand;
}
/**
 * Request parameters for apiV1CountriesCountryIdReactivatePut operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdReactivatePutRequest
 */
export interface CountriesApiApiV1CountriesCountryIdReactivatePutRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdReactivatePut
     */
    readonly countryId: string;
}
/**
 * Request parameters for apiV1CountriesCountryIdRevalidatePost operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdRevalidatePostRequest
 */
export interface CountriesApiApiV1CountriesCountryIdRevalidatePostRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdRevalidatePost
     */
    readonly countryId: string;
    /**
     *
     * @type {boolean}
     * @memberof CountriesApiApiV1CountriesCountryIdRevalidatePost
     */
    readonly includeCurrent?: boolean;
}
/**
 * Request parameters for apiV1CountriesCountryIdTranslatePost operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesCountryIdTranslatePostRequest
 */
export interface CountriesApiApiV1CountriesCountryIdTranslatePostRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesCountryIdTranslatePost
     */
    readonly countryId: string;
    /**
     *
     * @type {TranslateCountryCommand}
     * @memberof CountriesApiApiV1CountriesCountryIdTranslatePost
     */
    readonly translateCountryCommand?: TranslateCountryCommand;
}
/**
 * Request parameters for apiV1CountriesGet operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesGetRequest
 */
export interface CountriesApiApiV1CountriesGetRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesGet
     */
    readonly id?: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesGet
     */
    readonly name?: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesGet
     */
    readonly description?: string;
    /**
     *
     * @type {Date}
     * @memberof CountriesApiApiV1CountriesGet
     */
    readonly createdDate?: Date;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof CountriesApiApiV1CountriesGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {number}
     * @memberof CountriesApiApiV1CountriesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof CountriesApiApiV1CountriesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof CountriesApiApiV1CountriesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1CountriesPost operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesPostRequest
 */
export interface CountriesApiApiV1CountriesPostRequest {
    /**
     *
     * @type {CreateCountryCommand}
     * @memberof CountriesApiApiV1CountriesPost
     */
    readonly createCountryCommand?: CreateCountryCommand;
}
/**
 * Request parameters for apiV1CountriesSlugGet operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesSlugGetRequest
 */
export interface CountriesApiApiV1CountriesSlugGetRequest {
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesSlugGet
     */
    readonly slug: string;
    /**
     *
     * @type {string}
     * @memberof CountriesApiApiV1CountriesSlugGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof CountriesApiApiV1CountriesSlugGet
     */
    readonly returnDefaultValue?: boolean;
}
/**
 * Request parameters for apiV1CountriesSortPut operation in CountriesApi.
 * @export
 * @interface CountriesApiApiV1CountriesSortPutRequest
 */
export interface CountriesApiApiV1CountriesSortPutRequest {
    /**
     *
     * @type {CountrySortingCommand}
     * @memberof CountriesApiApiV1CountriesSortPut
     */
    readonly countrySortingCommand?: CountrySortingCommand;
}
/**
 * CountriesApi - object-oriented interface
 * @export
 * @class CountriesApi
 * @extends {BaseAPI}
 */
export declare class CountriesApi extends BaseAPI {
    /**
     *
     * @summary Remove currency from country language list (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdDelete(requestParameters: CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get currncy of country (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdGet(requestParameters: CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CountryCurrencyModel, any>>;
    /**
     *
     * @summary Add currency into country language list (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdCurrenciesCurrencyIdPost(requestParameters: CountriesApiApiV1CountriesCountryIdCurrenciesCurrencyIdPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CountryCurrencyModel, any>>;
    /**
     *
     * @summary Get currencies list of country (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdCurrenciesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdCurrenciesGet(requestParameters: CountriesApiApiV1CountriesCountryIdCurrenciesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CountryCurrenciesModel, any>>;
    /**
     *
     * @summary Batch for country\'s currencies sorting (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdCurrenciesSortPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdCurrenciesSortPut(requestParameters: CountriesApiApiV1CountriesCountryIdCurrenciesSortPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SortingResultModel, any>>;
    /**
     *
     * @summary Delete country. (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdDelete(requestParameters: CountriesApiApiV1CountriesCountryIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get country. (Auth policies: RequireDoctorRole)
     * @param {CountriesApiApiV1CountriesCountryIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdGet(requestParameters: CountriesApiApiV1CountriesCountryIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CountryModel, any>>;
    /**
     *
     * @summary Get languages list of country (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdLanguagesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdLanguagesGet(requestParameters: CountriesApiApiV1CountriesCountryIdLanguagesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CountryLanguagesModel, any>>;
    /**
     *
     * @summary Remove language from country language list (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdLanguagesLanguageCodeDelete(requestParameters: CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get language of country (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdLanguagesLanguageCodeGet(requestParameters: CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodeGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CountryLanguageModel, any>>;
    /**
     *
     * @summary Add language into country language list (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdLanguagesLanguageCodePost(requestParameters: CountriesApiApiV1CountriesCountryIdLanguagesLanguageCodePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CountryLanguageModel, any>>;
    /**
     *
     * @summary Batch for country\'s languages sorting (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdLanguagesSortPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdLanguagesSortPut(requestParameters: CountriesApiApiV1CountriesCountryIdLanguagesSortPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SortingResultModel, any>>;
    /**
     *
     * @summary Get all CountryMedias. (Auth policies: RequireDoctorRole)
     * @param {CountriesApiApiV1CountriesCountryIdMediasGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdMediasGet(requestParameters: CountriesApiApiV1CountriesCountryIdMediasGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediasModel, any>>;
    /**
     *
     * @summary Delete CountryMedia (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdMediasMediaIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdMediasMediaIdDelete(requestParameters: CountriesApiApiV1CountriesCountryIdMediasMediaIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get CountryMedia. (Auth policies: RequireDoctorRole)
     * @param {CountriesApiApiV1CountriesCountryIdMediasMediaIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdMediasMediaIdGet(requestParameters: CountriesApiApiV1CountriesCountryIdMediasMediaIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Update CountryMedia. (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdMediasMediaIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdMediasMediaIdPut(requestParameters: CountriesApiApiV1CountriesCountryIdMediasMediaIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Create CountryMedia. (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdMediasPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdMediasPost(requestParameters: CountriesApiApiV1CountriesCountryIdMediasPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Update country. (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdPut(requestParameters: CountriesApiApiV1CountriesCountryIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CountryModel, any>>;
    /**
     *
     * @summary Reactivate country. (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdReactivatePut(requestParameters: CountriesApiApiV1CountriesCountryIdReactivatePutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Revalidate country (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdRevalidatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdRevalidatePost(requestParameters: CountriesApiApiV1CountriesCountryIdRevalidatePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Translate country (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesCountryIdTranslatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesCountryIdTranslatePost(requestParameters: CountriesApiApiV1CountriesCountryIdTranslatePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get all countries. (Auth policies: RequireDoctorRole)
     * @param {CountriesApiApiV1CountriesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesGet(requestParameters?: CountriesApiApiV1CountriesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CountriesModel, any>>;
    /**
     *
     * @summary Create a country. (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesPost(requestParameters?: CountriesApiApiV1CountriesPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CountryModel, any>>;
    /**
     *
     * @summary Get country by slug (Auth policies: RequireDoctorRole)
     * @param {CountriesApiApiV1CountriesSlugGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesSlugGet(requestParameters: CountriesApiApiV1CountriesSlugGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<CountryModel, any>>;
    /**
     *
     * @summary Batch for countries sorting (Auth policies: RequireManagerRole)
     * @param {CountriesApiApiV1CountriesSortPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CountriesApi
     */
    apiV1CountriesSortPut(requestParameters?: CountriesApiApiV1CountriesSortPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SortingResultModel, any>>;
}
//# sourceMappingURL=countries-api.d.ts.map