/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { AppointmentTimetableOverridesModel } from '../models';
import { AppointmentTimetablesModel } from '../models';
import { BatchAppointmentTimetablesResultModel } from '../models';
import { BatchDoctorAffiliationAppointmentTimetablesCommand } from '../models';
import { CreateDoctorAffiliationCommand } from '../models';
import { CreateMediaCommand } from '../models';
import { DayOfWeek } from '../models';
import { DeleteDoctorAffiliationAppointmentTimetableOverridesCommand } from '../models';
import { DoctorAffiliationModel } from '../models';
import { DoctorAffiliationsModel } from '../models';
import { GetAppointmentTimetablesResponseModel } from '../models';
import { MarketingType } from '../models';
import { MediaModel } from '../models';
import { MediaType } from '../models';
import { MediasModel } from '../models';
import { SaveAppointmentTimetableOverridesResultModel } from '../models';
import { SaveDoctorAffiliationAppointmentTimetableOverridesCommand } from '../models';
import { TranslateDoctorAffiliationCommand } from '../models';
import { UpdateDoctorAffiliationCommand } from '../models';
import { UpdateMediaCommand } from '../models';
/**
 * DoctorAffiliationsApi - axios parameter creator
 * @export
 */
export declare const DoctorAffiliationsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Get DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {boolean} [includesPreviousItems]
     * @param {Date} [startDate]
     * @param {Date} [endDate]
     * @param {DayOfWeek} [dayOfWeek]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet: (doctorAffiliationId: string, includesPreviousItems?: boolean, startDate?: Date, endDate?: Date, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {DeleteDoctorAffiliationAppointmentTimetableOverridesCommand} [deleteDoctorAffiliationAppointmentTimetableOverridesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch: (doctorAffiliationId: string, deleteDoctorAffiliationAppointmentTimetableOverridesCommand?: DeleteDoctorAffiliationAppointmentTimetableOverridesCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Save DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {SaveDoctorAffiliationAppointmentTimetableOverridesCommand} [saveDoctorAffiliationAppointmentTimetableOverridesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost: (doctorAffiliationId: string, saveDoctorAffiliationAppointmentTimetableOverridesCommand?: SaveDoctorAffiliationAppointmentTimetableOverridesCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get DoctorAffiliation appointment timetables for application (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {number} [year]
     * @param {number} [month]
     * @param {string} [timeZone]
     * @param {boolean} [isExternal]
     * @param {boolean} [isOnline]
     * @param {string} [appointmentIdExcluded]
     * @param {boolean} [excludeUnavailableTimeSlots]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet: (doctorAffiliationId: string, year?: number, month?: number, timeZone?: string, isExternal?: boolean, isOnline?: boolean, appointmentIdExcluded?: string, excludeUnavailableTimeSlots?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Add, update and delete DoctorAffiliationAppointmentTimetables (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {BatchDoctorAffiliationAppointmentTimetablesCommand} [batchDoctorAffiliationAppointmentTimetablesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost: (doctorAffiliationId: string, batchDoctorAffiliationAppointmentTimetablesCommand?: BatchDoctorAffiliationAppointmentTimetablesCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get DoctorAffiliation appointment timetables (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {DayOfWeek} [dayOfWeek]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet: (doctorAffiliationId: string, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all DoctorAffiliationMedias. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet: (doctorAffiliationId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete DoctorAffiliationMedia (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete: (doctorAffiliationId: string, mediaId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet: (doctorAffiliationId: string, mediaId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut: (doctorAffiliationId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost: (doctorAffiliationId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all doctor affiliations. (Auth policies: RequireDoctorRole)
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {string} [doctorId]
     * @param {string} [doctorName]
     * @param {string} [doctorSlug]
     * @param {string} [specialtyId]
     * @param {string} [specialtyTypeId]
     * @param {MarketingType} [marketingType]
     * @param {string} [countryId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsGet: (hospitalId?: string, hospitalName?: string, doctorId?: string, doctorName?: string, doctorSlug?: string, specialtyId?: string, specialtyTypeId?: string, marketingType?: MarketingType, countryId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdDelete: (id: string, isPermanent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get doctor affiliation. (Auth policies: RequireDoctorRole)
     * @param {string} id
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdGet: (id: string, languageCode?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {UpdateDoctorAffiliationCommand} [updateDoctorAffiliationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdPut: (id: string, updateDoctorAffiliationCommand?: UpdateDoctorAffiliationCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Reactivate doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdReactivatePut: (id: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Revalidate doctorAffiliation (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdRevalidatePost: (id: string, includeCurrent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Translate doctorAffiliation at once (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {TranslateDoctorAffiliationCommand} [translateDoctorAffiliationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdTranslatePost: (id: string, translateDoctorAffiliationCommand?: TranslateDoctorAffiliationCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary (Auth policies: RequireLocalManagerRole)
     * @param {CreateDoctorAffiliationCommand} [createDoctorAffiliationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsPost: (createDoctorAffiliationCommand?: CreateDoctorAffiliationCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * DoctorAffiliationsApi - functional programming interface
 * @export
 */
export declare const DoctorAffiliationsApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Get DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {boolean} [includesPreviousItems]
     * @param {Date} [startDate]
     * @param {Date} [endDate]
     * @param {DayOfWeek} [dayOfWeek]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet(doctorAffiliationId: string, includesPreviousItems?: boolean, startDate?: Date, endDate?: Date, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<AppointmentTimetableOverridesModel>>;
    /**
     *
     * @summary Delete DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {DeleteDoctorAffiliationAppointmentTimetableOverridesCommand} [deleteDoctorAffiliationAppointmentTimetableOverridesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch(doctorAffiliationId: string, deleteDoctorAffiliationAppointmentTimetableOverridesCommand?: DeleteDoctorAffiliationAppointmentTimetableOverridesCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Save DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {SaveDoctorAffiliationAppointmentTimetableOverridesCommand} [saveDoctorAffiliationAppointmentTimetableOverridesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost(doctorAffiliationId: string, saveDoctorAffiliationAppointmentTimetableOverridesCommand?: SaveDoctorAffiliationAppointmentTimetableOverridesCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SaveAppointmentTimetableOverridesResultModel>>;
    /**
     *
     * @summary Get DoctorAffiliation appointment timetables for application (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {number} [year]
     * @param {number} [month]
     * @param {string} [timeZone]
     * @param {boolean} [isExternal]
     * @param {boolean} [isOnline]
     * @param {string} [appointmentIdExcluded]
     * @param {boolean} [excludeUnavailableTimeSlots]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet(doctorAffiliationId: string, year?: number, month?: number, timeZone?: string, isExternal?: boolean, isOnline?: boolean, appointmentIdExcluded?: string, excludeUnavailableTimeSlots?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GetAppointmentTimetablesResponseModel>>;
    /**
     *
     * @summary Add, update and delete DoctorAffiliationAppointmentTimetables (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {BatchDoctorAffiliationAppointmentTimetablesCommand} [batchDoctorAffiliationAppointmentTimetablesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost(doctorAffiliationId: string, batchDoctorAffiliationAppointmentTimetablesCommand?: BatchDoctorAffiliationAppointmentTimetablesCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<BatchAppointmentTimetablesResultModel>>;
    /**
     *
     * @summary Get DoctorAffiliation appointment timetables (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {DayOfWeek} [dayOfWeek]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet(doctorAffiliationId: string, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<AppointmentTimetablesModel>>;
    /**
     *
     * @summary Get all DoctorAffiliationMedias. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet(doctorAffiliationId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediasModel>>;
    /**
     *
     * @summary Delete DoctorAffiliationMedia (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete(doctorAffiliationId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet(doctorAffiliationId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Update DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut(doctorAffiliationId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Create DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost(doctorAffiliationId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Get all doctor affiliations. (Auth policies: RequireDoctorRole)
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {string} [doctorId]
     * @param {string} [doctorName]
     * @param {string} [doctorSlug]
     * @param {string} [specialtyId]
     * @param {string} [specialtyTypeId]
     * @param {MarketingType} [marketingType]
     * @param {string} [countryId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsGet(hospitalId?: string, hospitalName?: string, doctorId?: string, doctorName?: string, doctorSlug?: string, specialtyId?: string, specialtyTypeId?: string, marketingType?: MarketingType, countryId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorAffiliationsModel>>;
    /**
     *
     * @summary Delete doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdDelete(id: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get doctor affiliation. (Auth policies: RequireDoctorRole)
     * @param {string} id
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdGet(id: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorAffiliationModel>>;
    /**
     *
     * @summary Update doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {UpdateDoctorAffiliationCommand} [updateDoctorAffiliationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdPut(id: string, updateDoctorAffiliationCommand?: UpdateDoctorAffiliationCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorAffiliationModel>>;
    /**
     *
     * @summary Reactivate doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdReactivatePut(id: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Revalidate doctorAffiliation (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdRevalidatePost(id: string, includeCurrent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Translate doctorAffiliation at once (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {TranslateDoctorAffiliationCommand} [translateDoctorAffiliationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdTranslatePost(id: string, translateDoctorAffiliationCommand?: TranslateDoctorAffiliationCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary (Auth policies: RequireLocalManagerRole)
     * @param {CreateDoctorAffiliationCommand} [createDoctorAffiliationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsPost(createDoctorAffiliationCommand?: CreateDoctorAffiliationCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorAffiliationModel>>;
};
/**
 * DoctorAffiliationsApi - factory interface
 * @export
 */
export declare const DoctorAffiliationsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Get DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {boolean} [includesPreviousItems]
     * @param {Date} [startDate]
     * @param {Date} [endDate]
     * @param {DayOfWeek} [dayOfWeek]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet(doctorAffiliationId: string, includesPreviousItems?: boolean, startDate?: Date, endDate?: Date, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<AppointmentTimetableOverridesModel>;
    /**
     *
     * @summary Delete DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {DeleteDoctorAffiliationAppointmentTimetableOverridesCommand} [deleteDoctorAffiliationAppointmentTimetableOverridesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch(doctorAffiliationId: string, deleteDoctorAffiliationAppointmentTimetableOverridesCommand?: DeleteDoctorAffiliationAppointmentTimetableOverridesCommand, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Save DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {SaveDoctorAffiliationAppointmentTimetableOverridesCommand} [saveDoctorAffiliationAppointmentTimetableOverridesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost(doctorAffiliationId: string, saveDoctorAffiliationAppointmentTimetableOverridesCommand?: SaveDoctorAffiliationAppointmentTimetableOverridesCommand, options?: any): AxiosPromise<SaveAppointmentTimetableOverridesResultModel>;
    /**
     *
     * @summary Get DoctorAffiliation appointment timetables for application (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {number} [year]
     * @param {number} [month]
     * @param {string} [timeZone]
     * @param {boolean} [isExternal]
     * @param {boolean} [isOnline]
     * @param {string} [appointmentIdExcluded]
     * @param {boolean} [excludeUnavailableTimeSlots]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet(doctorAffiliationId: string, year?: number, month?: number, timeZone?: string, isExternal?: boolean, isOnline?: boolean, appointmentIdExcluded?: string, excludeUnavailableTimeSlots?: boolean, options?: any): AxiosPromise<GetAppointmentTimetablesResponseModel>;
    /**
     *
     * @summary Add, update and delete DoctorAffiliationAppointmentTimetables (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {BatchDoctorAffiliationAppointmentTimetablesCommand} [batchDoctorAffiliationAppointmentTimetablesCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost(doctorAffiliationId: string, batchDoctorAffiliationAppointmentTimetablesCommand?: BatchDoctorAffiliationAppointmentTimetablesCommand, options?: any): AxiosPromise<BatchAppointmentTimetablesResultModel>;
    /**
     *
     * @summary Get DoctorAffiliation appointment timetables (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {DayOfWeek} [dayOfWeek]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet(doctorAffiliationId: string, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<AppointmentTimetablesModel>;
    /**
     *
     * @summary Get all DoctorAffiliationMedias. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet(doctorAffiliationId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<MediasModel>;
    /**
     *
     * @summary Delete DoctorAffiliationMedia (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete(doctorAffiliationId: string, mediaId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet(doctorAffiliationId: string, mediaId: string, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Update DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut(doctorAffiliationId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Create DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {string} doctorAffiliationId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost(doctorAffiliationId: string, createMediaCommand?: CreateMediaCommand, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Get all doctor affiliations. (Auth policies: RequireDoctorRole)
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {string} [doctorId]
     * @param {string} [doctorName]
     * @param {string} [doctorSlug]
     * @param {string} [specialtyId]
     * @param {string} [specialtyTypeId]
     * @param {MarketingType} [marketingType]
     * @param {string} [countryId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsGet(hospitalId?: string, hospitalName?: string, doctorId?: string, doctorName?: string, doctorSlug?: string, specialtyId?: string, specialtyTypeId?: string, marketingType?: MarketingType, countryId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<DoctorAffiliationsModel>;
    /**
     *
     * @summary Delete doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdDelete(id: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get doctor affiliation. (Auth policies: RequireDoctorRole)
     * @param {string} id
     * @param {string} [languageCode]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdGet(id: string, languageCode?: string, options?: any): AxiosPromise<DoctorAffiliationModel>;
    /**
     *
     * @summary Update doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {UpdateDoctorAffiliationCommand} [updateDoctorAffiliationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdPut(id: string, updateDoctorAffiliationCommand?: UpdateDoctorAffiliationCommand, options?: any): AxiosPromise<DoctorAffiliationModel>;
    /**
     *
     * @summary Reactivate doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdReactivatePut(id: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Revalidate doctorAffiliation (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdRevalidatePost(id: string, includeCurrent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Translate doctorAffiliation at once (Auth policies: RequireLocalManagerRole)
     * @param {string} id
     * @param {TranslateDoctorAffiliationCommand} [translateDoctorAffiliationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsIdTranslatePost(id: string, translateDoctorAffiliationCommand?: TranslateDoctorAffiliationCommand, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary (Auth policies: RequireLocalManagerRole)
     * @param {CreateDoctorAffiliationCommand} [createDoctorAffiliationCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1DoctoraffiliationsPost(createDoctorAffiliationCommand?: CreateDoctorAffiliationCommand, options?: any): AxiosPromise<DoctorAffiliationModel>;
};
/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly doctorAffiliationId: string;
    /**
     *
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly includesPreviousItems?: boolean;
    /**
     *
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly startDate?: Date;
    /**
     *
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly endDate?: Date;
    /**
     *
     * @type {DayOfWeek}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly dayOfWeek?: DayOfWeek;
    /**
     *
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatchRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatchRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch
     */
    readonly doctorAffiliationId: string;
    /**
     *
     * @type {DeleteDoctorAffiliationAppointmentTimetableOverridesCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch
     */
    readonly deleteDoctorAffiliationAppointmentTimetableOverridesCommand?: DeleteDoctorAffiliationAppointmentTimetableOverridesCommand;
}
/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost
     */
    readonly doctorAffiliationId: string;
    /**
     *
     * @type {SaveDoctorAffiliationAppointmentTimetableOverridesCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost
     */
    readonly saveDoctorAffiliationAppointmentTimetableOverridesCommand?: SaveDoctorAffiliationAppointmentTimetableOverridesCommand;
}
/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly doctorAffiliationId: string;
    /**
     *
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly year?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly month?: number;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly timeZone?: string;
    /**
     *
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly isExternal?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly isOnline?: boolean;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly appointmentIdExcluded?: string;
    /**
     *
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly excludeUnavailableTimeSlots?: boolean;
}
/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost
     */
    readonly doctorAffiliationId: string;
    /**
     *
     * @type {BatchDoctorAffiliationAppointmentTimetablesCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost
     */
    readonly batchDoctorAffiliationAppointmentTimetablesCommand?: BatchDoctorAffiliationAppointmentTimetablesCommand;
}
/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet
     */
    readonly doctorAffiliationId: string;
    /**
     *
     * @type {DayOfWeek}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet
     */
    readonly dayOfWeek?: DayOfWeek;
    /**
     *
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly doctorAffiliationId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly id?: string;
    /**
     *
     * @type {MediaType}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly mediaType?: MediaType;
    /**
     *
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDeleteRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete
     */
    readonly doctorAffiliationId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete
     */
    readonly mediaId: string;
}
/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet
     */
    readonly doctorAffiliationId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet
     */
    readonly mediaId: string;
}
/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPutRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut
     */
    readonly doctorAffiliationId: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut
     */
    readonly mediaId: string;
    /**
     *
     * @type {UpdateMediaCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut
     */
    readonly updateMediaCommand?: UpdateMediaCommand;
}
/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPost
     */
    readonly doctorAffiliationId: string;
    /**
     *
     * @type {CreateMediaCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPost
     */
    readonly createMediaCommand?: CreateMediaCommand;
}
/**
 * Request parameters for apiV1DoctoraffiliationsGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly hospitalId?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly hospitalName?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly doctorId?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly doctorName?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly doctorSlug?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly specialtyId?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly specialtyTypeId?: string;
    /**
     *
     * @type {MarketingType}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly marketingType?: MarketingType;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly countryId?: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1DoctoraffiliationsIdDelete operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdDeleteRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdDelete
     */
    readonly id: string;
    /**
     *
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdDelete
     */
    readonly isPermanent?: boolean;
}
/**
 * Request parameters for apiV1DoctoraffiliationsIdGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdGet
     */
    readonly id: string;
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdGet
     */
    readonly languageCode?: string;
}
/**
 * Request parameters for apiV1DoctoraffiliationsIdPut operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdPutRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdPut
     */
    readonly id: string;
    /**
     *
     * @type {UpdateDoctorAffiliationCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdPut
     */
    readonly updateDoctorAffiliationCommand?: UpdateDoctorAffiliationCommand;
}
/**
 * Request parameters for apiV1DoctoraffiliationsIdReactivatePut operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdReactivatePutRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdReactivatePutRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdReactivatePut
     */
    readonly id: string;
}
/**
 * Request parameters for apiV1DoctoraffiliationsIdRevalidatePost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePost
     */
    readonly id: string;
    /**
     *
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePost
     */
    readonly includeCurrent?: boolean;
}
/**
 * Request parameters for apiV1DoctoraffiliationsIdTranslatePost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePostRequest {
    /**
     *
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePost
     */
    readonly id: string;
    /**
     *
     * @type {TranslateDoctorAffiliationCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePost
     */
    readonly translateDoctorAffiliationCommand?: TranslateDoctorAffiliationCommand;
}
/**
 * Request parameters for apiV1DoctoraffiliationsPost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsPostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsPostRequest {
    /**
     *
     * @type {CreateDoctorAffiliationCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsPost
     */
    readonly createDoctorAffiliationCommand?: CreateDoctorAffiliationCommand;
}
/**
 * DoctorAffiliationsApi - object-oriented interface
 * @export
 * @class DoctorAffiliationsApi
 * @extends {BaseAPI}
 */
export declare class DoctorAffiliationsApi extends BaseAPI {
    /**
     *
     * @summary Get DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<AppointmentTimetableOverridesModel, any>>;
    /**
     *
     * @summary Delete DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatchRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Save DoctorAffiliation appointment timetable overrides (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SaveAppointmentTimetableOverridesResultModel, any>>;
    /**
     *
     * @summary Get DoctorAffiliation appointment timetables for application (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<GetAppointmentTimetablesResponseModel, any>>;
    /**
     *
     * @summary Add, update and delete DoctorAffiliationAppointmentTimetables (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<BatchAppointmentTimetablesResultModel, any>>;
    /**
     *
     * @summary Get DoctorAffiliation appointment timetables (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<AppointmentTimetablesModel, any>>;
    /**
     *
     * @summary Get all DoctorAffiliationMedias. (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediasModel, any>>;
    /**
     *
     * @summary Delete DoctorAffiliationMedia (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Update DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Create DoctorAffiliationMedia. (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Get all doctor affiliations. (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsGet(requestParameters?: DoctorAffiliationsApiApiV1DoctoraffiliationsGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorAffiliationsModel, any>>;
    /**
     *
     * @summary Delete doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsIdDelete(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get doctor affiliation. (Auth policies: RequireDoctorRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsIdGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorAffiliationModel, any>>;
    /**
     *
     * @summary Update doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsIdPut(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorAffiliationModel, any>>;
    /**
     *
     * @summary Reactivate doctor affiliation. (Auth policies: RequireLocalManagerRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsIdReactivatePut(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdReactivatePutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Revalidate doctorAffiliation (Auth policies: RequireLocalManagerRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsIdRevalidatePost(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Translate doctorAffiliation at once (Auth policies: RequireLocalManagerRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsIdTranslatePost(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary (Auth policies: RequireLocalManagerRole)
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    apiV1DoctoraffiliationsPost(requestParameters?: DoctorAffiliationsApiApiV1DoctoraffiliationsPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<DoctorAffiliationModel, any>>;
}
//# sourceMappingURL=doctor-affiliations-api.d.ts.map